Subject: Re: bug#58318: 28.2; Emacs installed from package won't work with MinGW

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2022 17:43:01 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Bartosz Bubak
>  <[email-masked]>
> Date: Thu, 06 Oct 2022 15:30:14 +0200
> 
> Corwin Brust <[email-masked]> writes:
> 
> > It looks from this that Emacs doesn't find (a complete) GCC kit for
> > use with GCC, so your Emacs should be loading ELN files shipped with
> > the release but not trying to compile any new ones, I think?
> >
> > Unfortunately, that just makes the "Error: Internal native compiler
> > error failed to compile" even more of a mystery:
> 
> It shouldn't try to compile .el(c) files, but it needs the compiler to
> make trampolines to redefine built-in functions.  So a nativecomp Emacs
> isn't fully functional if a compiler isn't present.

No, the last conclusion incorrect.  See my other mail in this thread.